Retail Express API 2.1

Updates Freight Type

Sample request:

 PUT /freighttypes
 {
     "name": "Freight Type Name"
 }
put
https://api.retailexpress.com.au/v2/freighttypes/{id}

Path Parameters

idinteger(int32)required

Freight Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Freight Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Freight Type

FreightType

Freight Type Model

* Additional properties are NOT allowed.
namestringrequired

Freight Type name.

>= 0 characters<= 100 characters

idinteger | null(int32)

Freight Type Id.

deletedboolean

Is Freight Type deleted (enabled/disabled)?.

modified_onstring(date-time)

Modified on

put/freighttypes/{id}

Body

{}
 
application/json

fulfilmentorders

Searches fulfilment orders by parameters

Searches fulfilment orders by parameters

get
https://api.retailexpress.com.au/v2/fulfilment/fulfilmentorders

Query Parameters

order_item_idinteger | null(int32)

Order item id.

order_idinteger | null(int32)

Order id.

fulfilment_idinteger | null(int32)

Fulfilment id

fulfilment_service_idstring | null(uuid)

Fulfilment service id.

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns fulfilment orders

fulfilment.Order.PagingResponse

* Additional properties are NOT allowed.
dataOne Of
array | null

Order model.

fulfilment.ShippitOrderobject

Shippit order model.

* Additional properties are NOT allowed.
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/fulfilment/fulfilmentorders
 
application/json

Get specific fulfilment order by fulfilment id

Get specific fulfilment order by fulfilment id

get
https://api.retailexpress.com.au/v2/fulfilment/fulfilmentorders/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Success

Order model.

One Of
get/fulfilment/fulfilmentorders/{id}
 
application/json

inventory